libmspub::Shape Struct Reference documentation

Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | Private Member Functions | List of all members
libmspub::Shape Struct Referenceabstract

`#include <Shapes.h>`

Inheritance diagram for libmspub::Shape:

## Public Member Functions
| Shape (MSPUBCollector *o)
virtual void | output (librevenge::RVNGDrawingInterface *painter, Coordinate coord)
virtual | ~Shape ()

## Public Attributes
librevenge::RVNGPropertyList | props
librevenge::RVNGPropertyList | graphicsProps

## Protected Member Functions
virtual void | setCoordProps (Coordinate coord)
virtual void | write (librevenge::RVNGDrawingInterface *painter)=0
virtual librevenge::RVNGPropertyListVector | updateGraphicsProps ()
| Shape ()

## Protected Attributes
MSPUBCollector * | owner

## Private Member Functions
| Shape (const Shape &)
Shape & | operator= (const Shape &)

## Constructor & Destructor Documentation

## ◆ Shape() [1/3]

libmspub::Shape::Shape | ( | MSPUBCollector * | o | ) |
| inline

## ◆ ~Shape()

virtual libmspub::Shape::~Shape | ( |  | ) |
| inlinevirtual

## ◆ Shape() [2/3]

libmspub::Shape::Shape | ( |  | ) |
| protected

## ◆ Shape() [3/3]

libmspub::Shape::Shape | ( | const Shape & |  | ) |
| private

## Member Function Documentation

## ◆ operator=()

Shape & libmspub::Shape::operator= | ( | const Shape & |  | ) |
| private

## ◆ output()

virtual void libmspub::Shape::output | ( | librevenge::RVNGDrawingInterface * | painter,
|  | Coordinate | coord
| ) |  |
| virtual

Reimplemented in libmspub::GeometricShape.

## ◆ setCoordProps()

virtual void libmspub::Shape::setCoordProps | ( | Coordinate | coord | ) |
| protectedvirtual

Reimplemented in libmspub::GeometricShape.

## ◆ updateGraphicsProps()

virtual librevenge::RVNGPropertyListVector libmspub::Shape::updateGraphicsProps | ( |  | ) |
| protectedvirtual

Reimplemented in libmspub::FillableShape, and libmspub::GeometricShape.

## ◆ write()

virtual void libmspub::Shape::write | ( | librevenge::RVNGDrawingInterface * | painter | ) |
| protectedpure virtual

Implemented in libmspub::GeometricShape.

## Member Data Documentation

## ◆ graphicsProps

librevenge::RVNGPropertyList libmspub::Shape::graphicsProps

## ◆ owner

MSPUBCollector* libmspub::Shape::owner
| protected

## ◆ props

librevenge::RVNGPropertyList libmspub::Shape::props

The documentation for this struct was generated from the following file:

- Shapes.h